package oop.FileHandling.character;
import java.io.FileWriter;
import java.io.File;
import java.io.IOException;

import java.io.BufferedWriter;
/*
 * - hauptfubktion: Liest ganze Zeilen auf einmal und ruft die Methode readLine() aus
 * - br.write(97); => 'a' sie liest keine Integer zahlen
 * - br.write(10.5) => error geht nicht
 * - br.write(boolean) => error geht nicht 
 * 	 Alternative Möglichkeit (PrintWriter ) kann alle Daten Typs auf dem File schreiben
 */
public class Bufferedwriter {

	public static void main(String[] args)  throws IOException {
		/*
		 * - BufferedWriter übernimmt keine Pfad für einen File,
		 * 	 sondern übernimmt sie ein Objekt aus der Klasse (FileWriter) die extends die Abstrakte Klasse Writer
		 * - FileWriter Klass hilft mir BufferedWriter zu verwenden
		 */
		
		/*
		 * true, damit  Wenn {@code true}, werden die Daten (fix geschpeichert)
		 * anstatt an den Anfang. also die Datein werden nicht überschrieben werden 
		 */
		BufferedWriter b1 = new BufferedWriter(new FileWriter("C:\\Users\\obaya\\eclipse-workspace\\OOP\\src\\oop\\FileHandling\\character\\Test1",true));
		b1.write("Hallo Welt");
		b1.newLine(); // neue Linie
		b1.write("Hallo Welt2");
		b1.flush();
		b1.close();
		
	}

}
